<div class="centered">
  <div *ngIf="isFetching; else noFetching">
    <mat-spinner></mat-spinner>
  </div>
  <ng-template #noFetching>
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource">
        <ng-container matColumnDef="position">
          <th mat-header-cell class="w-175" *matHeaderCellDef> Id </th>
          <td mat-cell class="w-175" *matCellDef="let client"> {{client.id}} </td>
        </ng-container>

        <ng-container matColumnDef="name">
          <th mat-header-cell class="w-175" *matHeaderCellDef> Name </th>
          <td mat-cell class="w-175" *matCellDef="let client"> {{client.name}} </td>
        </ng-container>

        <ng-container matColumnDef="email">
          <th mat-header-cell class="w-175" *matHeaderCellDef> Email </th>
          <td mat-cell class="w-175" *matCellDef="let client"> {{client.email}} </td>
        </ng-container>

        <ng-container matColumnDef="edit">
          <th class="w-175" mat-header-cell *matHeaderCellDef> Edit </th>
          <td class="w-175" mat-cell *matCellDef="let client">
            <button mat-icon-button (click)="displayClientOnTap(client)">
              <mat-icon>edit</mat-icon>
            </button>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

      <mat-paginator
        class="paginator"
        [pageSizeOptions]="[5, 10]"
        aria-label="Select page"
        showFirstLastButtons
      >
      </mat-paginator>
    </div>
  </ng-template>

  <div *ngIf="editMode" class="spacer"></div>
  <div *ngIf="editMode" class="centeredContent">
    <div class="row">
      <mat-form-field appearance="fill" class="mat-form-view">
        <mat-label>Select Credit Card</mat-label>
        <mat-select>
          <mat-option
            *ngFor="let card of selectedClient.creditCards"
            [value] = "card.bankName"
            (click)="displayCardInfoOnTap(card)"
          >
            {{card.bankName}} - {{card.cardNumber}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <div class="line-spacer"></div>
      <button
        mat-raised-button
        color="primary"
        class="button"
        (click)="enableEditClient()"
      >
        Add new credit card
      </button>
    </div>
    <div *ngIf="isCardSelected">
      <div class="spacer"></div>
      <mat-card class="mat-elevation-z8">
        <mat-card-subtitle>{{selectedCard.bankName}} - {{selectedCard.cardNumber}}</mat-card-subtitle>
        <mat-card-title>Account Info</mat-card-title>
        <mat-card-content>
          <p>IBAN: {{selectedCard.account.iban}}</p>
          <p>Balance: {{selectedCard.account.balance}}</p>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</div>
